org.springframework.transaction.interceptor

## Class NoRollbackRuleAttribute

- java.lang.Object
- - org.springframework.transaction.interceptor.RollbackRuleAttribute
  - - org.springframework.transaction.interceptor.NoRollbackRuleAttribute

- All Implemented Interfaces:
    Serializable

      public class NoRollbackRuleAttribute
      extends RollbackRuleAttribute

  Tag subclass of `RollbackRuleAttribute` that has the opposite behavior to the `RollbackRuleAttribute` superclass.
  Since:
    09.04.2003
  Author:
    Rod Johnson
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.springframework.transaction.interceptor.RollbackRuleAttribute

      `ROLLBACK_ON_RUNTIME_EXCEPTIONS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoRollbackRuleAttribute(Class clazz)` Create a new instance of the `NoRollbackRuleAttribute` class for the supplied `Throwable` class.
    `NoRollbackRuleAttribute(String exceptionName)` Create a new instance of the `NoRollbackRuleAttribute` class for the supplied `exceptionName`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class org.springframework.transaction.interceptor.RollbackRuleAttribute

      `equals, getDepth, getExceptionName, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoRollbackRuleAttribute

          public NoRollbackRuleAttribute(Class clazz)

      Create a new instance of the `NoRollbackRuleAttribute` class for the supplied `Throwable` class.
      Parameters:
        `clazz` - the `Throwable` class
      See Also:
        `RollbackRuleAttribute.RollbackRuleAttribute(Class)`

    - #### NoRollbackRuleAttribute

          public NoRollbackRuleAttribute(String exceptionName)

      Create a new instance of the `NoRollbackRuleAttribute` class for the supplied `exceptionName`.
      Parameters:
        `exceptionName` - the exception name pattern
      See Also:
        `RollbackRuleAttribute.RollbackRuleAttribute(String)`

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `RollbackRuleAttribute`